@startuml
title 2l modifyGroupStep 
actor Actor
participant "CatERingAppManager.kitchenJobManager:KitchenJobManager" as kjm
participant "groupStep: GroupStep" as gs
participant "r: KitchenJobReceiver" as rec

Actor -> kjm ++:modifyGroupStep(groupStep, alternativeSteps?, repetition?)

alt currentKitchenJob != null
  kjm -->> Actor:throw UseCaseLogicException
else
  opt alternativeSteps != null
  	kjm -> gs++:setAlternativeStep(alternativeSteps)
    deactivate gs
  end
  
  opt repetition != null
  	kjm -> gs++:setRepetition(repetition)
    deactivate gs
  end
  
  group for each r in receivers
    	kjm -> rec++:notifyGroupStepModified(currentKitchenJob, groupStep)
        deactivate rec
  end 
  
  kjm -->> Actor--
    
end

@enduml
